<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

use WHMCS\Module\Addon\CloudlinuxAdvantage\Actions\Addon;
use WHMCS\Module\Addon\CloudlinuxAdvantage\Controllers\AdminController;
use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\AdminManager;
use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Config;

if (!defined('WHMCS')) {
    // phpcs:disable
    die('This file cannot be accessed directly');
    // phpcs:enable
}

/**
 * @return array
 */
function cloudlinux_advantage_config()
{
    return [
        'name' => 'CloudLinuxAdvantage',
        'description' => 'CloudLinuxAdvantage for WHMCS ^8.0 helps you' .
            ' automatically install CloudLinux modules on the client server',
        'version' => Config::VERSION,
        'author' => '<a href="https://www.cloudlinux.com/" target="_blank">CloudLinux</a>',
        'fields' => [
            'debug' => [
                'FriendlyName' => 'Debug Mode',
                'Type' => 'yesno',
                'Default' => '',
                'Description' => 'Logs on "Module Log"',
            ],
        ]
    ];
}

/**
 * @return string[]
 */
function cloudlinux_advantage_activate()
{
    return (new Addon())->activate();
}

/**
 * @return string[]
 */
function cloudlinux_advantage_deactivate()
{
    return (new Addon())->deactivate();
}

/**
 * @param array $vars
 * @return void
 */
function cloudlinux_advantage_upgrade(array $vars)
{
    (new Addon())->upgrade($vars);
}

/**
 * @param array $vars
 * @return void
 */
function cloudlinux_advantage_output(array $vars)
{
    $action = $_REQUEST['action'] ?? '';
    $manager = new AdminManager();
    (new AdminController($manager))->dispatch($action, $vars);
}

/**
 * @param array $vars
 *
 * @return array
 */
function cloudlinux_advantage_clientarea(array $vars)
{
    return [
        'pagetitle' => 'CloudLinuxAdvantage',
        'breadcrumb' => ['index.php?m=acceleratewp&action=provisioning' => 'AccelerateWP'],
        'templatefile' => 'templates/client/index',
        'requirelogin' => false,
        'forcessl' => false,
    ];
}
