<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Controllers;

use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\ClientManager;
use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Config;

class ClientController extends Controller
{
    /**
     * @var ClientManager
     */
    private $manager;

    /**
     * @param ClientManager $manager
     */
    public function __construct(ClientManager $manager)
    {
        $this->manager = $manager;
    }

    /**
     * @return ClientManager
     */
    private function manager()
    {
        return $this->manager;
    }

    /**
     * Index
     *
     * @param array $vars
     * @return void
     */
    public function index($vars)
    {
        $url = Config::instance()->baseUrl();

        if (empty($url)) {
            $url = '/';
        }

        header('Location: ' . $url, true, 302);
        exit();
    }

    /**
     * Provisioning
     *
     * @return void
     */
    public function provisioning()
    {
        $username = array_key_exists('username', $_GET) ? $_GET['username'] : '';
        $server_ip = array_key_exists('server_ip', $_GET) ? $_GET['server_ip'] : '';
        $suite = array_key_exists('suite', $_GET) ? $_GET['suite'] : '';

        $url = $this->manager()->purchaseLink($username, $server_ip, $suite);
        header('Location: ' . $url, true, 302);
        exit();
    }
}
