<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ServiceConfigOption extends Model
{
    /**
     * @var bool
     */
    public $timestamps = false;

    /**
     * @var string
     */
    protected $table = 'tblhostingconfigoptions';

    /**
     * CloudLinux
     *
     * @param Builder $query
     * @return Builder
     */
    public function scopeCloudLinux(Builder $query)
    {
        return $query->whereHas('productConfigOptionCloudLinux');
    }

    /**
     * @return BelongsTo
     */
    public function service()
    {
        return $this->belongsTo(Service::class, 'relid');
    }

    /**
     * @return BelongsTo
     */
    public function productConfigOptionCloudLinux()
    {
        return $this->belongsTo(ProductConfigOption::class, 'configid')->cloudLinuxNames();
    }

    /**
     * @return BelongsTo
     */
    public function productConfigOptionSubCloudLinux()
    {
        return $this->belongsTo(ProductConfigOptionSub::class, 'optionid')->cloudLinuxNames();
    }
}
