<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Api\AccelerateWp;

use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Api\Api as ApiBase;

abstract class Api implements ApiBase
{
    /**
     * @param string $suite
     * @param array $attributes
     * @return void
     */
    abstract public function default(string $suite, array $attributes);

    /**
     * @param string $suite
     * @param array $attributes
     * @return void
     */
    abstract public function allowed(string $suite, array $attributes);

    /**
     * @param string $suite
     * @param array $attributes
     * @return void
     */
    abstract public function disallowed(string $suite, array $attributes);

    /**
     * @param string $status
     * @param string $suite
     * @param array $attributes
     * @return void
     */
    public function callStatus(string $status, string $suite, array $attributes)
    {
        switch ($status) {
            case Status::DEFAULT:
                $this->default($suite, $attributes);
                break;
            case Status::ALLOWED:
                $this->allowed($suite, $attributes);
                break;
            case Status::DISALLOWED:
                $this->disallowed($suite, $attributes);
                break;
        }
    }
}
