<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Api\MyImunify;

use WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Api\Api as ApiBase;

abstract class Api implements ApiBase
{
    /**
     * @param string $suite
     * @return void
     */
    abstract public function enable(string $suite);

    /**
     * @param string $suite
     * @return void
     */
    abstract public function disable(string $suite);

    /**
     * @param string $status
     * @param string $suite
     * @param array $attributes
     * @return void
     */
    public function callStatus(string $status, string $suite, array $attributes)
    {
        switch ($status) {
            case Status::ENABLE:
                $this->enable($suite);
                break;
            case Status::DISABLE:
                $this->disable($suite);
                break;
        }
    }
}
