<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services;

use WHMCS\Module\Addon\CloudlinuxAdvantage\Models\Service;

class ClientManager
{
    /**
     * @param string $username
     * @param string $server_ip
     * @param string $suite
     * @return string
     */
    public function purchaseLink(string $username, string $server_ip, string $suite)
    {
        $username = (string)preg_replace('/[^a-z\d._-]/i', '', $username);
        $server_ip = (string)preg_replace('/[^\d.]/', '', $server_ip);

        $base_url = Config::instance()->baseUrl();

        $url = $base_url . '/clientarea.php?action=services';

        $service = Service::where([
            'username' => $username
        ])->whereHas('serverModel', function ($query) use ($server_ip) {
            return $query->where('ipaddress', $server_ip);
        })->whereIn('domainstatus', ['Active'])->first();

        if (!empty($service)) {
            $url = $base_url . '/upgrade.php?type=configoptions&id=' . $service->id . '&suite=' . $suite;
        }

        return $url;
    }
}
