<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Groups;

class Factory
{
    public const GROUPS = [
        AccelerateWp::SLUG => AccelerateWp::class,
        MyImunify::SLUG => MyImunify::class,
    ];

    /**
     * @param string $slug
     * @return ?Group
     */
    public function get(string $slug)
    {
        if (array_key_exists($slug, self::GROUPS)) {
            $class = self::GROUPS[$slug];

            /** @var Group $instance */
            $instance = new $class();

            return $instance;
        }

        return null;
    }
}
