<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services;

use WHMCS\Scheduling\Contract\JobInterface;
use WHMCS\Scheduling\Jobs\JobTrait;

class PushQueue implements JobInterface
{
    use JobTrait;

    public const QUEUE_PREFIX_NAME = 'cloudlinux_advantage.configure.push.';

    /**
     * @param int $gid
     * @return void
     */
    public function configure($gid)
    {
        Debug::log('PushQueue', 'configure', 'Group id ' . $gid . ' started');

        define('CLOUDLINUX_QUEUE', true);

        $dataProvider = new PushData();
        (new PushManager($gid, $dataProvider))->send();
    }
}
