<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services;

use WHMCS\Scheduling\Contract\JobInterface;
use WHMCS\Scheduling\Jobs\JobTrait;

class SuiteQueue implements JobInterface
{
    use JobTrait;

    public const QUEUE_PREFIX_NAME = 'cloudlinux_advantage.configure.suite.';

    /**
     * @param int $suiteId
     * @return void
     */
    public function configure($suiteId)
    {
        Debug::log('SuiteQueue', 'configure', 'Suite ' . $suiteId . ' started');

        define('CLOUDLINUX_QUEUE', true);

        (new SuiteManager())->configure($suiteId)->send();
    }
}
