<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Suites;

class Factory
{
    public const SUITES = [
        Premium::SLUG => Premium::class,
        Cdn::SLUG => Cdn::class,
        Protection::SLUG => Protection::class,
    ];

    /**
     * @param string $slug
     * @return ?Suite
     */
    public function get(string $slug)
    {
        if (array_key_exists($slug, self::SUITES)) {
            $class = self::SUITES[$slug];

            /** @var Suite $instance */
            $instance = new $class();

            return $instance;
        }

        return null;
    }
}
