<?php

/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace WHMCS\Module\Addon\CloudlinuxAdvantage\Services\Suites\Statuses;

class Factory
{
    public const STATUSES = [
        Off::SLUG => Off::class,
        On::SLUG => On::class,
        Cdn50Gb::SLUG => Cdn50Gb::class,
        Cdn100Gb::SLUG => Cdn100Gb::class,
        Cdn250Gb::SLUG => Cdn250Gb::class,
        Cdn500Gb::SLUG => Cdn500Gb::class,
        Cdn1Tb::SLUG => Cdn1Tb::class,
        Cdn2d5Tb::SLUG => Cdn2d5Tb::class,
        Cdn5Tb::SLUG => Cdn5Tb::class,
        Cdn10Tb::SLUG => Cdn10Tb::class,
    ];

    /**
     * @param string $slug
     * @return ?Status
     */
    public function get(string $slug)
    {
        if (array_key_exists($slug, self::STATUSES)) {
            $class = self::STATUSES[$slug];

            /** @var Status $instance */
            $instance = new $class();

            return $instance;
        }

        return null;
    }
}
